<?php
	require_once("config.inc.php");
	$stmt = $pdo->prepare("SELECT student_name, record_time FROM attendance WHERE course_code = :course_code ORDER BY record_time DESC");
	$stmt->bindValue(":course_code", $_GET["course_code"]);
	$stmt->execute();
	$records = $stmt->fetchAll(PDO::FETCH_ASSOC);
	$jsonRecord = array();
	foreach($records as $record){
		$jsonRecord[] = array("student_name"=>$record["student_name"], "record_time"=>$record["record_time"]);
	}
	header("Content-Type: text/plain; charset=UTF-8");
	echo json_encode($jsonRecord);
?>